package params

type WechatPartnerJsapiOrderParams struct {
	AreaServiceId *uint32  `json:"areaServiceId,omitempty"` //区域服务id
	Title         *string  `json:"title,omitempty"`         //支付标题
	OutTradeNo    *string  `json:"outTradeNo,omitempty"`    //商户订单号
	Amount        *float64 `json:"amount,omitempty"`        //订单金额，单位元，保留两位小数
	OpenId        *string  `json:"openId,omitempty"`        //微信小程序对应openId
}

type WechatPartnerRefundParams struct {
	AreaServiceId *uint32  `json:"areaServiceId,omitempty"` //区域服务id
	OutRefundNo   *string  `json:"outRefundNo,omitempty"`   //退款单号
	OutTradeNo    *string  `json:"outTradeNo,omitempty"`    //原商户订单号
	OrderAmount   *float64 `json:"orderAmount,omitempty"`   //原订单金额
	RefundAmount  *float64 `json:"refundAmount,omitempty"`  //本次退款金额
}
